CREATE TABLE AQ$_FND_JMS_PREF_QUEUE_TBL_S (
    SUBSCRIBER_ID            NUMBER                         PRIMARY KEY,
    QUEUE_NAME               VARCHAR2(512)                  NOT NULL,
    NAME                     VARCHAR2(2048)             ,
    ADDRESS                  VARCHAR2(4000)             ,
    PROTOCOL                 NUMBER                     ,
    SUBSCRIBER_TYPE          NUMBER                     ,
    RULE_NAME                VARCHAR2(512)              ,
    TRANS_NAME               VARCHAR2(1044)             ,
    RULESET_NAME             VARCHAR2(1044)             ,
    NEGATIVE_RULESET_NAME    VARCHAR2(1044)             ,
    CREATION_TIME            TIMESTAMP(6) WITH TIME ZONE,
    MODIFICATION_TIME        TIMESTAMP(6) WITH TIME ZONE,
    DELETION_TIME            TIMESTAMP(6) WITH TIME ZONE,
    SCN_AT_REMOVE            NUMBER                     ,
    SCN_AT_ADD               NUMBER                     
);
